#version 120
uniform float depthFactor;

void main() {
	float depth = gl_FragCoord.z / gl_FragCoord.w * depthFactor;
	depth = depth + abs(min(depth - 0.05, 0.0)) * 40.0;
	//depth = abs(depth * 3.0 - 0.3);//abs(depth * 20.0 - 0.19) * 1.0 - 2.5;
	gl_FragColor = vec4(depth, depth, depth, 1.0);
}
